www.cendio.com

Bug 4946

Summary: vnc package creates stray locale directories
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: VNCAssignee: Peter ├ůstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: trunkKeywords: hean01_tester, prosaic
Target Milestone: 4.2.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-12-19 13:49:12
The VNC packages has a bunch of translations for xkeyboard-config. But none of
our packages own the intermediate directories for these files:

$ rpm -qf /opt/thinlinc/share/locale/zh_TW/LC_MESSAGES/xkeyboard-config.mo
/opt/thinlinc/share/locale/zh_TW/LC_MESSAGES /opt/thinlinc/share/locale/zh_TW
thinlinc-vnc-server-4.1.1-4137.x86_64
file /opt/thinlinc/share/locale/zh_TW/LC_MESSAGES is not owned by any package
file /opt/thinlinc/share/locale/zh_TW is not owned by any package

We need to stop shipping these files, or make sure we have proper ownership of
the locale directories (tlmisc owns the other ones, like sv).
------- Comment #1 From cendio 2013-12-19 13:50:07 -------
Besides rpm -qf not working, lack of ownership also results in these
directories being left behind after uninstalling thinlinc.
------- Comment #2 From cendio 2014-01-28 16:27:48 -------
Fixed in 28344.
------- Comment #3 From cendio 2014-03-27 08:36:45 -------
(In reply to comment #2)
> Fixed in 28344.

Review commit, disables build using nls which removes the stray translation
directories. Works as expected.